Subject: Re: Questions galore
From: "Daniel Adams" <[email-masked]>
To: [email-masked]
Date: Sun, 15 Sep 2002 12:51:02 -0700

A comment on /etc/rc if you are wanting to run inetd, as a service in winNT
at least, you would put it in the services control panel.

In some ways, Cygwin is supposed to mix with a few parts of the WinNT
enviornment.

--Dan

"Christopher Faylor" <[email-masked]> wrote in message
news:[email-masked]...
> On Sun, Sep 15, 2002 at 08:11:18PM +0200, Francois de Campagnolle wrote:
> >
> >Hi,
> >
> >I have a couple of questions concerning cygwin (both 98 and NT), which I
> >have not been able to find an answer to in the FAQs.
> >
> >1) What does cygserver do ?
>
> Nothing, right now.
>
> >2) Is there a way to run startups (/etc/rc like) scripts at startup or
logon
> >time ?  I would like to run inetd this way, among others.
>
> No.  Or, rather, sure *you* could set up your system to do this but there
is
> nothing available out-of-the-box.  It is very unlikely that there ever
will
> be anything like this.
>
> If you were interested, you might be able to port "init" to cygwin.
That's
> what handles this on UNIX.
>
> >3) Is there an rxvt alternative (besides cmd.exe), which (like cyg rxvt)
> >does not require an X server ?  I currently use IVT telnet client (pretty
> >good), but it wants inetd running. I find rxvt more or less buggy both on
my
> >win98 and winNT box (got many blue screens recently).
>
> Not in the standard distribution, no.
>
> If rxvt is causing WinNT to "blue screen" then something is wrong with
your
> WinNT.
>
> >4) Is it possible to get a bash process with a tty, with another process
> >talking to it through a pipe though ?  I know this is a rather often
asked
> >question, but I haven't found a definitive answer on this.
>
> You'd do this just like you do on UNIX, i.e., you'd use a pty to control
> bash, not a pipe.  If you are talking about a non-cygwin program trying
> to control a cygwin program, then this will be very difficult.
>
> cgf
> --
> Please do not send me personal email with cygwin questions.
> Use the resources at http://cygwin.com/ .
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/